<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\DozentenInfo\Detailsreiter\Kurse\vertragsformularpdf;

class PrintVertragsformularPresenter extends \Kufer\KuferTools\Basis\Presenter\MitRahmenPresenter
{
  public function present()
  {
    return $this->printPdf();
  }

  private function printPdf()
  {
    $this->useCaseResponse->vertragsformular->output();
  }

  
  public function setRequestHeader()
  {
  }

  public function getEncoding()
  {
    return UTF_8;
  }

  public function getExternalEncoding()
  {
    return $this->getEncoding();
  }

  protected function getView()
  {
    return null;
  }

  protected function getViewModel()
  {
    return null;
  }
}